---
updatedAt: 2026-04-12T09:21:24.000Z
---

# Search deliveries

<a id="Search_Deliveries" style="color:red; font-size:larger">POST \<baseURL\>/deliveries/search</a>

This request searches for specific deliveries.

### Example
This request specifies the only required parameter, the `clientId`, in this case for `clientId` of 2.
This returns all deliveries associated with `clientId` of 2.<br>
POST `{baseURL}/deliveries/search`<br>
Request body:
```json
{
  "clientId": "2"
}
```

This request specifies `clientId` of 2 and also returns 75 deliveries for each page, rather than the default 20.<br>
`{baseURL}/deliveries/search?pageSize=75`<br>
Request body:
```json
{
  "clientId": "2"
}
```

This request restricts the search from `clientId` of 2 but to `deliveryStatus` of `DELIVERED`.<br>
POST `{baseURL}/deliveries/search`<br>
Request body:
```json
{
    "clientId": "2",
    "deliveryStatus": "DELIVERED"
}
```

This request restricts the search based on the customer's first name and from among either of two pickup points.<br>
POST `{baseURL}/deliveries/search`<br>
Request body:
```json
{
    "clientId": "2",
    "customerFirstName" : "Jordan",
    "pickupPointId": [ "101979", "101387" ]
}
```

This request searches for delivery orders created between within a date range, in UNIX time seconds or milliseconds.<br>
POST `{baseURL}/deliveries/search`<br>
Request body:
```json
{
    "clientId" : "2",
    "deliveryCreateStartDate" : 1707858284942,
    "deliveryCreateEndDate" :   1718312684942
}
```

### See Also
To retrieve delivery by `deliveryId`, see <span style="background-color: #eaeaea; padding: 3px;"><a href="#Retrieve_Delivery_Details_By_DeliveryId">GET `/deliveries/{deliveryId}`</a>.</span><br>
To retrieve a delivery by `clientId` and `externalOrderId`, see POST `/deliveries?clientId={clientId}&externalOrderId={externalOrderId}`.

# OpenAPI definition

````json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Walmart GoLocal API Reference Guide",
    "version": "1.0",
    "description": "**June 2025**<br>Built: 06/24/2025, 15:07:16"
  },
  "x-readme": {
    "samples-languages": [
      "shell"
    ],
    "proxy-enabled": false,
    "explorer-enabled": true
  },
  "servers": [
    {
      "url": "https://developer.api.us.walmart.com/api-proxy/service/supplychain/transportation/v1/daas",
      "description": "Production server"
    },
    {
      "url": "https://developer.api.us.stg.walmart.com/v1/daas-simulator",
      "description": "Sandbox server"
    },
    {
      "url": "https://developer.api.us.stg.walmart.com/api-proxy/service/supplychain/transportation/v1/daas-simulator",
      "description": "Simulator server"
    }
  ],
  "paths": {
    "/deliveries/search": {
      "post": {
        "tags": [
          "Walmart GoLocal Requests"
        ],
        "operationId": "walmart_golocal_deliveries_search",
        "summary": "Search deliveries",
        "description": "<a id=\"Search_Deliveries\" style=\"color:red; font-size:larger\">POST \\<baseURL\\>/deliveries/search</a>\n\nThis request searches for specific deliveries.\n\n### Example\nThis request specifies the only required parameter, the `clientId`, in this case for `clientId` of 2.\nThis returns all deliveries associated with `clientId` of 2.<br>\nPOST `{baseURL}/deliveries/search`<br>\nRequest body:\n```json\n{\n  \"clientId\": \"2\"\n}\n```\n\nThis request specifies `clientId` of 2 and also returns 75 deliveries for each page, rather than the default 20.<br>\n`{baseURL}/deliveries/search?pageSize=75`<br>\nRequest body:\n```json\n{\n  \"clientId\": \"2\"\n}\n```\n\nThis request restricts the search from `clientId` of 2 but to `deliveryStatus` of `DELIVERED`.<br>\nPOST `{baseURL}/deliveries/search`<br>\nRequest body:\n```json\n{\n    \"clientId\": \"2\",\n    \"deliveryStatus\": \"DELIVERED\"\n}\n```\n\nThis request restricts the search based on the customer's first name and from among either of two pickup points.<br>\nPOST `{baseURL}/deliveries/search`<br>\nRequest body:\n```json\n{\n    \"clientId\": \"2\",\n    \"customerFirstName\" : \"Jordan\",\n    \"pickupPointId\": [ \"101979\", \"101387\" ]\n}\n```\n\nThis request searches for delivery orders created between within a date range, in UNIX time seconds or milliseconds.<br>\nPOST `{baseURL}/deliveries/search`<br>\nRequest body:\n```json\n{\n    \"clientId\" : \"2\",\n    \"deliveryCreateStartDate\" : 1707858284942,\n    \"deliveryCreateEndDate\" :   1718312684942\n}\n```\n\n### See Also\nTo retrieve delivery by `deliveryId`, see <span style=\"background-color: #eaeaea; padding: 3px;\"><a href=\"#Retrieve_Delivery_Details_By_DeliveryId\">GET `/deliveries/{deliveryId}`</a>.</span><br>\nTo retrieve a delivery by `clientId` and `externalOrderId`, see POST `/deliveries?clientId={clientId}&externalOrderId={externalOrderId}`.\n",
        "parameters": [
          {
            "in": "query",
            "name": "pageSize",
            "required": false,
            "schema": {
              "type": "integer",
              "minimum": 0,
              "maximum": 1000,
              "default": 20
            },
            "description": "Specifies the maximum number of deliveries to return for each request.\n\nThe application must track the position and item count of the return list if additional searches are expected.\n\nThe default is 20.<br>\nThe minimum is 1.<br>\nThe maximum is 1000.\n\nExamples:<br>\n10<br>\n100\n",
            "example": 10
          },
          {
            "in": "query",
            "name": "rowOffset",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "minimum": 0,
              "maximum": 5000,
              "default": 0
            },
            "description": "Specifies the number of deliveries to skip before returning deliveries.\n\nA value of zero specifies that no items are skipped.\n\nThe application must track the position and item count of the return list if additional searches are expected.\n\nThe default is 0.<br>\nThe minimum is 0.<br>\nThe maximum is 5000.\n\nExamples:<br>\n100<br>\n53\n",
            "example": 17
          },
          {
            "in": "header",
            "name": "Content-Type",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Specifies the literal `application/json`.\n\nExample: <code>application/json</code>\n"
          },
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Specifies the literal value for `Bearer \\<authenticationToken\\>`.\n\nThe authenticationToken is an access token representing a user’s valid authorization and authentication permissions. \nSee <a href=\"#Authentication\">**Authentication**</a> for additional information.\n\nExample: <code>Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz</code>\n"
          },
          {
            "in": "header",
            "name": "WM_CONSUMER.ID",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid",
              "minLength": 36,
              "maxLength": 36
            },
            "description": "Specifies the value for `<consumer_id>`.\n\nThis is the Client Consumer ID for the OAuth2 client credentials. \nSee the Walmart Client Center's Walmart administrator, client administrator, or development management for this value.\n\nExample: 685f74bf-b8ca-447d-8338-966di751443f\n"
          },
          {
            "in": "header",
            "name": "WM_QOS.CORRELATION_ID",
            "required": false,
            "schema": {
              "type": "string"
            },
            "description": "Specifies the request log identifier.\n\nThis optional header can be any value.\nWalmart&nbsp;GoLocal uses this value to log requests and error situations. \n\nExamples:<br>\n2398<br>\n685f74bf-b8ca-447d-8338-966dd751445f\n"
          }
        ],
        "requestBody": {
          "description": "Specifies the filters for the delivery search.\n\nThe following limitations apply:\n\n* Wildcards are not supported, except as noted.\n* Partial matching is not supported.\nFor example, *eter* will not match *Peter*.\n* Searches are case insensitive. For example, *Peter* will match *peter*.\n",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "description": "Specifies the delivery destination address object.",
                "required": [
                  "externalOrderId"
                ],
                "properties": {
                  "deliveryId": {
                    "type": "string",
                    "format": "uuid",
                    "minLength": 36,
                    "maxLength": 36,
                    "description": "Specifies the identifier for the delivery.\n\nThe `deliveryId` is generated by the Walmart&nbsp;GoLocal system at the time the delivery is booked.\n\nThis is an optional input field.\n\nExamples:<br> \n8d3a5a89-d5a7-40bb-8b47-83223bb5c4ad<br>\n",
                    "example": "8d3a5a89-d5a7-40bb-8b47-83223bb5c4ad"
                  },
                  "externalOrderId": {
                    "type": "string",
                    "format": "uuid",
                    "minLength": 36,
                    "maxLength": 36,
                    "description": "Specifies the external order ID.\n\nThe externalOrderId is a value specified by the client at the time the order is placed. \nThis allows the client to customize the order number to be consistent with their own numbering system. \nThe externalOrderId may be different than the orderId, which is a value assigned by Walmart GoLocal at the time the order is placed. \nRegardless, the externalOrderId and orderId refer to the same delivery order.\n\nExamples:\n465-RMN-TU\n9003299567-001\n1551250927\n10208877499-208925547882099\n",
                    "example": "10208877499-208925547882099"
                  },
                  "deliveryStatus": {
                    "type": "string",
                    "description": "Specifies the status of the delivery.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| ARRIVED_AT_DROPOFF | The delivery driver confirmed arrival at the drop-off location. |\n| ARRIVED_AT_PICKUP | The delivery driver confirmed arrival at the pickup location. |\n| ARRIVED_AT_RETURN | The delivery driver arrived at the pickup point to return the items that could not be delivered to the location. |\n| CANCEL_REQUESTED | A cancellation has been requested, but has not been confirmed; the Walmart&nbsp;GoLocal system is processing the request. |\n| CANCELLED | The delivery has a confirmed cancellation. This concludes the delivery order. |\n| DELIVERED | The delivery driver dropped off the items at the drop-off location. |\n| DELIVERY_REQUEST_FAILED | The delivery request failed. The delivery process concludes. |\n| DELIVERY_REQUESTED | The client requested delivery from Walmart&nbsp;GoLocal, and the next step is to search for, and assign, a delivery driver. |\n| DISPATCHED | The delivery driver picked up the delivery items and is ready to proceed to the drop-off location. |\n| DRIVER_ASSIGNED | The delivery is assigned to a delivery driver, and the delivery driver confirmed availability to deliver. |\n| DRIVER_CANCELLED | The delivery request was canceled by the driver. This must occur after DRIVER_ASSIGNED. |\n| DRIVER_DROPPED | The assigned delivery driver dropped the trip as a delivery; that specific delivery driver will not complete the trip. |\n| ENROUTE_TO_DROPOFF | The delivery driver picked up the delivery items and is on the way to the drop-off location. |\n| ENROUTE_TO_PICKUP | The delivery driver is on the way to the pickup point. |\n| ENROUTE_TO_RETURN | The delivery driver is unable to drop off items and is returning the items to the pickup point. |\n| RETURNED | The delivery driver returned items at the return location. This concludes the delivery order. |\n| UPDATE_FAILED | The delivery order failed to update the delivery details. |\n| UPDATE_REQUESTED | A delivery order update has been requested, but has not yet been confirmed. |\n| UPDATED | The delivery is confirmed to have been updated. |\n| WALMART_CANCELLED | The delivery was canceled by Walmart&nbsp;GoLocal. |\n\nExample: DELIVERED\n",
                    "example": "DELIVERED"
                  },
                  "customerFirstName": {
                    "type": "string",
                    "description": "Specifies the first name of the customer who placed the delivery request.\n\nThis is an optional input field.\n\nExample: John\n",
                    "example": "John"
                  },
                  "customerLastName": {
                    "type": "string",
                    "description": "Specifies the last name of the customer who placed the delivery request.\n\nThis is an optional input field.\n\nExample: Doe\n",
                    "example": "Doe"
                  },
                  "driverFirstName": {
                    "type": "string",
                    "description": "Specifies the first name of the delivery driver.\n\nThis is an optional input field.\n\nExamples: Jane\n",
                    "example": "Jane"
                  },
                  "driverLastName": {
                    "type": "string",
                    "description": "Specifies the last name of the delivery driver.\n\nThis is an optional input field.\n\nExamples: Doe\n",
                    "example": "Doe"
                  },
                  "deliveryCompletionDayRange": {
                    "type": "integer",
                    "format": "int32",
                    "minimum": 1,
                    "description": "Specifies deliveries completed within the last number of specified days.\n\nTo return deliveries completed within a range of days, include both `deliveryCompletionDayRange` and `deliveryCreationDayRange`.\n\nThis is an optional input field.\n\nExample: 1\n",
                    "example": "1"
                  },
                  "deliveryCreationDayRange": {
                    "type": "integer",
                    "format": "int32",
                    "minimum": 1,
                    "description": "Specifies deliveries created within the last number of specified days.\n\nTo return deliveries completed within a range of days, include both `deliveryCompletionDayRange` and `deliveryCreationDayRange`.\n\nThis is an optional input field.\n\nExample: 1\n",
                    "example": "1"
                  },
                  "clientId": {
                    "type": "array",
                    "description": "Specifies the client identifier associated with the client.\n\nExample: 2\n",
                    "example": "2"
                  },
                  "pickupPointId": {
                    "type": "array",
                    "description": "Specifies an array of objects with a list of pickup details.\n\nThis is an array of either `pickupPointId` or `externalPickupPointId`.\nFor example, for one item:\n```json\n\"pickupDetails\": \n[\n  { \"externalPickupPointId\": \"107730\" }\n]\n```\n\nFor multiple items:\n```json\n\"pickupDetails\": \n[\n  { \"externalPickupPointId\": \"107730\" },\n  { \"externalPickupPointId\": \"307429\" }\n]\n```\nAt least one entry but no more than 10 are required for either `pickupPointId` or `externalPickupPointId`.\nHowever, there cannot be entries both; use one or the other.\n\nExamples: <br>\n101979<br>\n101979, 342345<br>\n",
                    "example": [
                      "101979",
                      "342345"
                    ]
                  },
                  "externalPickupPointId": {
                    "type": "string",
                    "description": "Specifies an external pickup point ID defined by the client.\n\nThe external pickup point ID is the client-specified identifier for each pickup point.\nThis value may be different than the pickup points ID.\nThis is an optional input field.\n\nExamples:<br>\n4969<br>\nStoreNo15<br>\n",
                    "example": "4969"
                  },
                  "deliveryStartDate": {
                    "type": "integer",
                    "format": "unix-time",
                    "description": "Specifies the timestamp (in Unix timestamp format seconds or milliseconds) of the start of planned delivery start date.\n\nTo return deliveries completed within a range of timestamps, include both `deliveryEndDate` and `deliveryStartDate`.\n\nThis is an optional input field.\n\nExample: 1582552800\n",
                    "example": "1582552800"
                  },
                  "deliveryEndDate": {
                    "type": "integer",
                    "format": "unix-time",
                    "description": "Specifies the timestamp (in Unix timestamp format seconds or milliseconds) of the end of planned delivery start date.\n\nTo return deliveries completed within a range of timestamps, include both `deliveryEndDate` and `deliveryStartDate`.\n\nThis is an optional input field.\n\nExample: 1582552800\n",
                    "example": "1582552800"
                  },
                  "orderCreateStartDate": {
                    "type": "integer",
                    "format": "unix-time",
                    "description": "Specifies the timestamp (in Unix timestamp format seconds or milliseconds) of the start of order`s creation date.\n\nTo return orders created within a range of timestamps, include both `orderCreateEndDate` and `orderCreateStartDate`.\n\nIf `orderCreateStartDate` is provided, `orderCreateEndDate` is required. \n\nThis is an optional input field.\n\nExample: 1662846514\n",
                    "example": "1662846514"
                  },
                  "orderCreateEndDate": {
                    "type": "integer",
                    "format": "unix-time",
                    "description": "Specifies the timestamp (in Unix timestamp format seconds or milliseconds) of the end of order`s creation date.\n\nTo return orders created within a range of timestamps, include both `orderCreateEndDate` and `orderCreateStartDate`.\n\nIf `orderCreateEndDate` is provided, then `orderCreateStartDate` is required. \n\nThis is an optional input field.\n\nExample: 1662853714\n",
                    "example": "1662853714"
                  },
                  "deliveryCreateStartDate": {
                    "type": "integer",
                    "format": "unix-time",
                    "description": "Specifies the timestamp (in Unix timestamp format seconds or milliseconds) when the delivery creation started.\n\nTo return deliveries created within a range of timestamps, include both `deliveryCreateEndDate` and `deliveryCreateStartDate`.\n\nThis is an optional input field.\n\nExample: 1663188523\n",
                    "example": "1663188523"
                  },
                  "deliveryCreateEndDate": {
                    "type": "integer",
                    "format": "unix-time",
                    "description": "Specifies the timestamp (in Unix timestamp format seconds or milliseconds) when the delivery creation ended.\n\nTo return deliveries created within a range of timestamps, include both `deliveryCreateEndDate` and `deliveryCreateStartDate`.\n\nThis is an optional input field.\n\nExample: 1663188682\n",
                    "example": "1663188682"
                  },
                  "customerPhoneNumber": {
                    "type": "string",
                    "description": "Specifies the phone number of the customer who placed the delivery request.\n\nThis is an optional input field.\n\nThe phone number may be in any of the following formats.\n\nExamples:<br>\n4085551234<br>\n408 5551234<br>\n(408) 5551234<br>\n(408) 555-1234<br>\n14085551234<br>\n",
                    "example": "(408) 5551234"
                  },
                  "driverPhoneNumber": {
                    "type": "string",
                    "description": "Specifies the phone number of the delivery driver.\n\nFiltering with this parameter supports partial matching. \nNo wildcard characters are needed.\nA partial match finds the string ending with this value and any characters before. \nFor example, specifying *408* matches *4065551**408***.\nIt will not match *406555**408**1*.\n\nThis is an optional input field.\n\nThe phone number may be in any of the following formats.\n\nExamples:<br>\n1234567689<br>\n123 4567689<br>\n(123) 4567689<br>\n(123) 456 -7689<br>\n11233567688\n",
                    "example": "(123) 4567689"
                  },
                  "routeId": {
                    "type": "string",
                    "description": "Specifies the name of the route or path suggested for the delivery.\n\nWalmart&nbsp;GoLocal uses the `routeId` parameter only if the system batches orders.\n\nThis is an optional input field.\n\nExample: 2534572931\n",
                    "example": "2534572931"
                  },
                  "batchId": {
                    "type": "string",
                    "format": "uuid",
                    "minLength": 36,
                    "maxLength": 36,
                    "description": "Specifies a batch identifier for the delivery.\n\nThis value is used to return all associated deliveries.\n\nThe `batchId` field is returned in the response body once Walmart&nbsp;GoLocal batches that delivery with other deliveries. \nImplement your system design and operational processes keeping this in mind.\n\nThis is an optional input field.\n\nExamples: 3bebc016-0093-4f31-ba22-8d319c7f26f6\n",
                    "example": "3bebc016-0093-4f31-ba22-8d319c7f26f6"
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "OK. The request was successful, and the server returned the requested data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "description": "Specifies the delivery destination address object.",
                  "properties": {
                    "count": {
                      "type": "object",
                      "description": "Indicates the total number of deliveries in a single batch delivery.\n\nExample: 1\n",
                      "example": "1"
                    },
                    "deliveries": {
                      "type": "object",
                      "description": "Indicates an object for delivery information.",
                      "properties": {
                        "clientId": {
                          "type": "string",
                          "description": "Indicates the client identifier associated with the client. \n\nExample: 2\n",
                          "example": "2"
                        },
                        "externalOrderId": {
                          "type": "string",
                          "description": "Describes the external order ID.\n\nThe externalOrderId is a value specified by the client at the time the order is placed. \nThis allows the client to customize the order number, such as to be consistent with their own numbering system, or to be easier to read. \nThe `externalOrderId` is different than the `deliveryId`, which is a value assigned by Walmart&nbsp;GoLocal at the \ntime the order is placed.\nRegardless, the `externalOrderId` and `deliveryId` refer to the same delivery order.\n\nExamples:<br>\n465-RMN-TU<br>\nAPAL:1541:0154120240819032474<br>\n10208877499-208925547882099\n",
                          "example": "10208877499-208925547882099"
                        },
                        "deliveryMethod": {
                          "type": "string",
                          "description": "Indicates the delivery option.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| SAME_DAY_DELIVERY  | The delivery is scheduled for a specified day and is expected to occur at any time during that day. |\n| SCHEDULED_DELIVERY | The delivery is scheduled for a specified day and time range, and is expected to occur within that time range. |\n\nExample: SCHEDULED_DELIVERY\n",
                          "example": "SCHEDULED_DELIVERY"
                        },
                        "orderPickupReadyTime": {
                          "type": "string",
                          "format": "date-time",
                          "description": "Indicates the timestamp (in ISO 8601 format) when the order will be ready at the pickup point for pickup.\n\nExamples:<br>\n2024-09-11T11:00:00Z<br>\n2024-12-09T19:02:00.000+0530\n",
                          "example": "2024-09-11T11:00:00Z"
                        },
                        "minDeliverySlotTime": {
                          "type": "string",
                          "format": "date-time",
                          "description": "Indicates the minimum time (also called the start time, in ISO 8601 format) of the delivery slot requested by the client.\n\n<span style=\"background-color: #e6e6e6; padding: 3px;\">This parameter is required when ‘deliveryMethod’ is ‘SCHEDULED_DELIVERY’.</span>\n\nThe delivery slot is a time range that the delivery is requested to occur in. \nThe minimum time (also called the start time) is the earliest the delivery can occur. \nThe maximum time (also called the end time) is the latest the delivery can occur.\n\nThe `requestedMinDeliverySlotTime` and `requestedMaxDeliverySlotTime` must fall within the `minDeliverySlotTime` and `maxDeliverySlotTime`.\n\nExamples:<br>\n2024-09-11T11:00:00Z<br>\n2024-12-09T19:02:00.000+0530\n",
                          "example": "2024-09-11T11:00:00Z"
                        },
                        "maxDeliverySlotTime": {
                          "type": "string",
                          "format": "date-time",
                          "description": "Indicates the maximum time (also called the end time, in ISO 8601 format) of the delivery slot requested by the client.\n\n<span style=\"background-color: #e6e6e6; padding: 3px;\">This parameter is required when ‘deliveryMethod’ is ‘SCHEDULED_DELIVERY.’.</span>\n\nThe delivery slot is a time range that the delivery is requested to occur in. \nThe minimum time (also called the start time) is the earliest the delivery can occur. \nThe maximum time (also called the end time) is the latest the delivery can occur.\n\nThe `requestedMinDeliverySlotTime` and `requestedMaxDeliverySlotTime` must fall within the `minDeliverySlotTime` and `maxDeliverySlotTime`.\n\nExamples:<br>\n2024-09-11T13:00:00Z<br>\n2024-12-09T19:04:00+0530\n",
                          "example": "2024-09-11T13:00:00Z"
                        },
                        "estimatedDeliveryPickupTime": {
                          "type": "string",
                          "format": "date-time",
                          "description": "Indicates the timestamp (in ISO 8601 format) of the estimated time for pickup of items for delivery.\n\nExamples:<br>\n2024-09-11T10:45:00Z<br>\n2024-12-09T19:04:00+0530\n",
                          "example": "2024-09-11T10:45:00Z"
                        },
                        "estimatedDeliveryTime": {
                          "type": "string",
                          "format": "date-time",
                          "description": "Indicates the timestamp (in ISO 8601 format) of the estimated time for delivery of items.\n\nExamples:<br>\n2024-09-11T12:07:17Z<br>\n2024-12-09T19:04:00+0530\n",
                          "example": "2024-09-11T12:07:17Z"
                        },
                        "actualDeliveryTime": {
                          "type": "string",
                          "format": "date-time",
                          "description": "Indicates the timestamp (in ISO 8601 format) of completed time for delivery.\n\nExamples:<br>\n2024-09-11T11:31:53.408Z<br>\n2024-09-11T11:31:53.408Z\n",
                          "example": "2024-09-11T11:31:53.408Z"
                        },
                        "createTime": {
                          "type": "string",
                          "format": "date-time",
                          "description": "Specifies the latest time (also called the end time, in ISO 8601 format) the delivery can be requested of the delivery slot for the client.\n\nExamples:<br>\n2024-09-10T22:10:30.053Z<br>\n2024-12-09T19:04:00+0530\n",
                          "example": "2024-09-10T22:10:30.053Z"
                        },
                        "status": {
                          "type": "string",
                          "description": "Indicates the current state/stage for delivery.\n\nExample: DELIVERED\n",
                          "example": "DELIVERED"
                        },
                        "instructions": {
                          "type": "array",
                          "description": "Indicates an array of objects for delivery instructions.\n",
                          "required": [
                            "instructionText"
                          ],
                          "items": {
                            "type": "object",
                            "properties": {
                              "instructionText": {
                                "type": "string",
                                "description": "Indicates delivery driver instructions.\n\nExample: Instruction (text=LEAVE_AT_DOOR, type=DROPOFF)\n",
                                "example": [
                                  "Instruction (text=LEAVE_AT_DOOR, type=DROPOFF)"
                                ]
                              }
                            }
                          }
                        },
                        "customer": {
                          "type": "object",
                          "description": "Indicates an object for the customer details.\n",
                          "properties": {
                            "firstName": {
                              "type": "string",
                              "description": "Indicates the first name of the customer who placed the delivery request.\n\nExample: John\n",
                              "example": "John"
                            },
                            "lastName": {
                              "type": "string",
                              "description": "Indicates the last name of the customer who placed the delivery request.\n\nExample: Doe\n",
                              "example": "Doe"
                            },
                            "email": {
                              "type": "string",
                              "description": "Indicates the email address of the customer who placed the delivery request.\n\nExample: Jordan.SmithWMT@gmail.com\n",
                              "example": "John.Doe@xyz.com"
                            },
                            "phone": {
                              "type": "object",
                              "description": "Specifies the complete phone number of the customer who placed th delivery request.\n",
                              "required": [
                                "number"
                              ],
                              "properties": {
                                "number": {
                                  "type": "string",
                                  "description": "Specifies the phone number of the customer who placed th delivery request.\n\nThe phone number may be in any of the following formats.\n\nExamples:<br>\n4085551234<br>\n408 5551234<br>\n(408) 5551234<br>\n(408) 555-1234<br>\n+14085551234\n",
                                  "example": "+1408 5551234"
                                }
                              }
                            }
                          }
                        },
                        "pickupDetails": {
                          "type": "array",
                          "description": "Specifies an array of objects with a list of pickup details.\n\nThis is an array of either `pickupPointId` or `externalPickupPointId`.\nFor example, for one item:\n```json\n\"pickupDetails\": \n[\n  { \"externalPickupPointId\": \"107730\" }\n]\n```\n\nFor multiple items:\n```json\n\"pickupDetails\": \n[\n  { \"externalPickupPointId\": \"107730\" },\n  { \"externalPickupPointId\": \"307429\" }\n]\n```\n\nAt least one entry but no more than 10 are required for either `pickupPointId` or `externalPickupPointId`.\nHowever, there cannot be entries both; use one or the other.\n",
                          "required": [
                            "pickupPointId",
                            "externalPickupPointId"
                          ],
                          "items": {
                            "type": "object",
                            "properties": {
                              "pickupPointId": {
                                "type": "string",
                                "format": "externalPickupPointId",
                                "description": "Specifies an array of one or more eligible external pickup points objects for a delivery destination.\n\nHowever, both types of entries cannot be used.\nThey must be all of either one or the other.\n\nThe `pickupPointId` is the Walmart&nbsp;GoLocal-generated identifier for a specific pickup point or location. \nThe `externalpickupPointId` is the client-specified identifier for the same pickup point or location. \nThese values may be different but must still refer to the same pickup point or location.\n\nThe following example has two externalPickupPointIds:\n```json\n  \"pickupDetails\": \n  [\n    { \"externalPickupPointId\": \"107730\" },\n    { \"externalPickupPointId\": \"307429\" }\n  ]\n  ```\n\nExamples:<br>\n1234<br>\nStoreNo15\n",
                                "example": "1234"
                              },
                              "externalPickupPointId": {
                                "type": "string",
                                "format": "externalPickupPointId",
                                "description": "Specifies an array of one or more eligible external pickup points objects for a delivery destination.\n\nHowever, both types of entries cannot be used.\nThey must be all of either one or the other.\n\nThe `pickupPointId` is the Walmart&nbsp;GoLocal-generated identifier for a specific pickup point or location. \nThe `externalpickupPointId` is the client-specified identifier for the same pickup point or location. \nThese values may be different but must still refer to the same pickup point or location.\n\nThe following example has two externalPickupPointIds:\n```json\n  \"pickupDetails\": \n  [\n    { \"externalPickupPointId\": \"107730\" },\n    { \"externalPickupPointId\": \"307429\" }\n  ]\n  ```\n\nExamples:<br>\n1234<br>\nStoreNo15\n",
                                "example": "1234"
                              },
                              "name": {
                                "type": "string",
                                "description": "Specifies the name of the store to pickup the order.\n\nExample: XYZ Store\n",
                                "example": "XYZ Store"
                              },
                              "timeZone": {
                                "type": "string",
                                "description": "Specifies the timezone the customer's delivery is in.\n\nExample: America/Indiana/Indianapolis\n",
                                "example": "America/Indiana/Indianapolis"
                              },
                              "address": {
                                "type": "object",
                                "format": "address",
                                "description": "Specifies a delivery destination address object.\n\nEither an address object or a latlong object is required.\nBoth objects cannot be included.\n\nAddress is supported only with single item in the deliveries.deliveryDetails[] list.\n\nA `latLong` object may always be included in any destination object.\nIt may be paired with an address object or as a `latLong` object by itself.\n\nIf more than one delivery destination is included, then all of them must be `latLong` objects.\n"
                              },
                              "latLong": {
                                "type": "object",
                                "description": "Describes an object for the delivery destination geolocation.\n",
                                "required": [
                                  "lat",
                                  "lng"
                                ],
                                "properties": {
                                  "lat": {
                                    "type": "number",
                                    "format": "float",
                                    "minimum": -90,
                                    "maximum": 90,
                                    "description": "Describes the latitude for the delivery destination location.\n\nThis value must be between 90 and -90 inclusively.\n\nExample: 37.12345\n",
                                    "example": 37.12345
                                  },
                                  "lng": {
                                    "type": "number",
                                    "format": "double",
                                    "minimum": -180,
                                    "maximum": 180,
                                    "description": "Describes the longitude for the delivery destination location.\n\nThis value must be between 180 and -180 inclusively.\n\nExample: -122.12345\n",
                                    "example": -122.12345
                                  }
                                }
                              },
                              "phone": {
                                "type": "object",
                                "description": "Specifies the complete phone number of the customer who placed th delivery request.\n",
                                "required": [
                                  "number",
                                  "countryCode"
                                ],
                                "properties": {
                                  "number": {
                                    "type": "string",
                                    "description": "Specifies the phone number of the customer who placed th delivery request.\n\nThe phone number may be in any of the following formats.\n\nExamples:<br>\n4085551234<br>\n408 5551234<br>\n(408) 5551234<br>\n(408) 555-1234<br>\n14085551234\n",
                                    "example": "408 5551234"
                                  },
                                  "countryCode": {
                                    "type": "string",
                                    "description": "Specifies the country calling code prefix for the contact number of the customer who placed the delivery request.\n\nValid values include, but are not limited to:\n\n| Code | Country |\n| ----------- | ----------- |\n| 1 | Canada |\n| 1 | United States |\n| 44 | Great Britain/United Kingdom |\n| 52 | Mexico |\n\nExample: 1\n",
                                    "example": "1"
                                  }
                                }
                              }
                            }
                          }
                        },
                        "deliveryDetails": {
                          "type": "object",
                          "description": "Specifies an object for the delivery details.\n\n<span style=\"background-color: #e6e6e6; padding: 3px;\">Either the `address` or `latlong` object is required but not both.</span>\n\nIf  `deliveryDetails` is included it must match the booking delivery details.\nIf two do not match exactly, the quote may be invalid.\n",
                          "required": [
                            "address",
                            "latLong"
                          ],
                          "properties": {
                            "address": {
                              "type": "object",
                              "description": "Specifies an object for the delivery destination address.\n\n<span style=\"background-color: #e6e6e6; padding: 3px;\">Either the `address` or `latlong` object is required but not both.</span>\n",
                              "required": [
                                "line1",
                                "city",
                                "state",
                                "zipCode",
                                "countryCode"
                              ],
                              "properties": {
                                "line1": {
                                  "type": "string",
                                  "description": "Specifies the address of the delivery location.\n\nExample: 1112 Greenwood Street\n",
                                  "example": "853 W California Ave"
                                },
                                "line2": {
                                  "type": "string",
                                  "description": "Specifies additional information for the delivery location's address.\n\nExample: Apt 10\n",
                                  "example": "Apt 10"
                                },
                                "city": {
                                  "type": "string",
                                  "description": "Specifies the city in which the delivery location is located.\n\nExample: Sunnyvale\n",
                                  "example": "Sunnyvale"
                                },
                                "state": {
                                  "type": "string",
                                  "description": "Specifies the state (in the two-letter state United States Postal Service [USPS] postal code format) in which the delivery destination location is located.\n\nExample: CA\n",
                                  "example": "CA"
                                },
                                "zipCode": {
                                  "type": "string",
                                  "description": "Specifies the ZIP Code or postal code in which the delivery location is located.\n\nExamples:<br>\n94086<br>\n94086+0001\n",
                                  "example": "94086"
                                },
                                "countryCode": {
                                  "type": "string",
                                  "description": "Specifies the country code (in the two-letter ISO 3166 format) for the delivery location.\n\nValid values include, but are not limited to:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| CA | Canada         |\n| GB | Great Britain  |\n| MX | Mexico         |\n| UK | United Kingdom |\n| US | United States  |\n\nExample: US\n",
                                  "example": "US"
                                }
                              }
                            },
                            "latLong": {
                              "type": "object",
                              "description": "Describes an object for the delivery destination geolocation.\n",
                              "required": [
                                "lat",
                                "lng"
                              ],
                              "properties": {
                                "lat": {
                                  "type": "number",
                                  "format": "float",
                                  "minimum": -90,
                                  "maximum": 90,
                                  "description": "Describes the latitude for the delivery destination location.\n\nThis value must be between 90 and -90 inclusively.\n\nExample: 39.12345\n",
                                  "example": 39.12345
                                },
                                "lng": {
                                  "type": "number",
                                  "format": "double",
                                  "minimum": -180,
                                  "maximum": 180,
                                  "description": "Describes the longitude for the delivery destination location.\n\nThis value must be between 180 and -180 inclusively.\n\nExample: -119.12345\n",
                                  "example": -119.12345
                                }
                              }
                            }
                          }
                        },
                        "dispatcherDetails": {
                          "type": "object",
                          "description": "Indicates an object for the dispatch details.\n",
                          "properties": {
                            "dispatcher": {
                              "type": "object",
                              "description": "Indicates an object for the dispatcher Information.\n",
                              "properties": {
                                "firstName": {
                                  "type": "string",
                                  "description": "Indicates the first name of the delivery driver delivering the items.\n\nExample: Jane\n",
                                  "example": "Jane"
                                },
                                "lastName": {
                                  "type": "string",
                                  "description": "Indicates the last name of the delivery driver delivering the items.\n\nExample: Doe\n",
                                  "example": "Doe"
                                },
                                "driverUserId": {
                                  "type": "string",
                                  "description": "Indicates the delivery driver ID of the delivery driver delivering the items. \n\nExample: jane.doe@xyz.com\n",
                                  "example": "jane.doe@xyz.com"
                                },
                                "phone": {
                                  "type": "object",
                                  "description": "Specifies the complete phone number of the customer who placed th delivery request.\n",
                                  "required": [
                                    "number",
                                    "countryCode"
                                  ],
                                  "properties": {
                                    "number": {
                                      "type": "string",
                                      "description": "Specifies the phone number of the customer who placed th delivery request.\n\nThe phone number may be in any of the following formats.\n\nExamples:<br>\n4085551234<br>\n408 5551234<br>\n(408) 5551234<br>\n(408) 555-1234<br>\n14085551234\n",
                                      "example": "408 5551234"
                                    },
                                    "countryCode": {
                                      "type": "string",
                                      "description": "Specifies the country calling code prefix for the contact number of the customer who placed the delivery request.\n\nValid values include, but are not limited to:\n\n| Code | Country |\n| ----------- | ----------- |\n| 1 | Canada |\n| 1 | United States |\n| 44 | Great Britain/United Kingdom |\n| 52 | Mexico |\n\nExample: 1\n",
                                      "example": "1"
                                    }
                                  }
                                },
                                "maskedPhone": {
                                  "type": "object",
                                  "description": "Specifies an object describing the dispatcher's masked phone.\n",
                                  "properties": {
                                    "number": {
                                      "type": "string",
                                      "description": "Specifies the masked phone number of the delivery driver delivering the items.\n\nExamples:<br>\n6508375000<br>\n650 8375000<br>\n(650) 8375000<br>\n(650) 837-5000<br>\n16508375000\n",
                                      "example": "(650) 8375000"
                                    }
                                  }
                                }
                              }
                            },
                            "vehicle": {
                              "type": "object",
                              "description": "Indicates an object for the vehicle details.\n"
                            }
                          }
                        },
                        "externalRef": {
                          "type": "object",
                          "description": "Indicates an object for the external reference.\n",
                          "properties": {
                            "batchingDetails": {
                              "type": "object",
                              "description": "Indicates an object for the batching details.\n",
                              "properties": {
                                "batchId": {
                                  "type": "string",
                                  "description": "Indicates an identifier for the batch.\n\nThis is used to return all associated deliveries.\n\nThe `batchId` field is passed back in the request payload once Walmart&nbsp;GoLocal batches that delivery with other deliveries. \nImplement your system design and operational processes keeping this in mind.\n\nExample: bca845c9-2072-4ab8-a80c-c0b48bfcf533\n",
                                  "example": "bca845c9-2072-4ab8-a80c-c0b48bfcf533"
                                }
                              }
                            }
                          }
                        },
                        "deliveryId": {
                          "type": "string",
                          "format": "uuid",
                          "minLength": 36,
                          "maxLength": 36,
                          "description": "Indicates the identifier for the delivery.\n\nThe `deliveryId` is generated by the Walmart&nbsp;GoLocal system at the time the delivery is booked.\n\nExample: 0017fcb6-9f7a-49bb-b23c-46d390712345\n",
                          "example": "0017fcb6-9f7a-49bb-b23c-46d390712345"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request. The request was malformed or invalid.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string",
                  "description": "The following is a list of error codes and accompanying descriptions. \nThe error code is indicated in the error message’s `code` field.\nSee <a href=\"#Error_Messages\">**Error Messages**</a> for additional information.\n\n| Error Code | Error Description |\n| ----------- | ----------- |\n| 400.1130.100 | Invalid status in request parameters. |\n| 400.1130.101 | Invalid delivery time range in request parameters. |\n| 400.1130.102 | Invalid order created time range in request parameters. |\n| 400.1180.100 | Page size (x) is not valid. |\n"
                }
              }
            }
          },
          "404": {
            "description": "Not Found. The requested resource was not found on the server."
          },
          "405": {
            "description": "Method Not Allowed. The target resource doesn't support this method."
          }
        }
      }
    }
  },
  "x-tagGroups": [
    {
      "name": "Walmart GoLocal Overview",
      "tags": [
        "Overview",
        "Getting Started"
      ]
    },
    {
      "name": "Walmart GoLocal Reference",
      "tags": [
        "Walmart GoLocal Requests"
      ]
    },
    {
      "name": "Walmart GoLocal Webhooks",
      "tags": [
        "Webhook Requests"
      ]
    },
    {
      "name": "Walmart GoLocal Simulator Requests",
      "tags": [
        "Simulator Requests"
      ]
    }
  ]
}
````